RAPID-PHOTO-DOWNLOADER.1(1)

NAME
rapid-photo-downloader - Downloads, renames and backs up photos and videos from cameras, phones, memory cards and other devices

SYNOPSIS
rapid-photo-downloader [options] [path]

Options:

    -h, --help
    --version
    --detailed-version
    -v, --verbose
    --debug
    -e, --extensions
    --photo-renaming {on,off}
    --video-renaming {on,off}
    -a {on,off}, --auto-detect {on,off}
    -t {on,off}, --this-computer {on,off}
    --this-computer PATH
    --photo-destination PATH
    --video-destination PATH
    -b {on,off}, --backup {on,off}
    --backup-auto-detect {on,off}
    --photo-backup-identifier FOLDER
    --video-backup-identifier FOLDER
    --photo-backup-location PATH
    --video-backup-location PATH
    --ignore-other-photo-file-types
    --auto-download-startup {on,off}
    --auto-download-device-insertion {on,off}
    --thumbnail-cache {on,off}
    --delete-thumbnail-cache
    --forget-remembered-files
    --import-old-version-preferences
    --reset
    --log-gphoto2
    --camera-info

DESCRIPTION
Rapid Photo Downloader imports photos and videos from cameras, phones, memory cards and other devices at high speed. It can be configured to rename photos and videos with meaningful filenames you specify. It can also back up photos and videos as they are downloaded. It downloads from and backs up to multiple devices simultaneously.

Unique to Rapid Photo Downloader is its Timeline, which groups photos and videos based on how much time elapsed between consecutive shots. Use it to identify photos and videos taken at different periods in a single day or over consecutive days.

Files are downloaded from two different types of sources: (1) one or more automatically detected devices like cameras, phones, memory cards, and external drives; and (2) a single manually specified path, shown in the user interface as "This Computer".

PATH
Optional value that when specified, is parsed to determine if it represents an automatically detected device or a path on this computer.

If the path represents an automatically detected device, automatic detection of devices is turned on, as in the --auto-detect option. Furthermore, downloading from a manually specified path as in the --this-computer-location option is turned off.

Otherwise, the path is assumed to be a manually specified path as in the --this-computer-location option, in which case downloading from this computer is turned on and downloading from automatically detected devices is turned off.

OPTIONS

-h, --help
    Show help message and exit.

--version
    Displays information about the currently installed version and exits.

--detailed-version
    Displays information about the currently installed version and its libraries and exits.

-v, --verbose
    Displays program information on the command line as the program runs.

--debug
    Displays debugging information on the command line as the program runs

-e, --extensions
    Displays image file extensions the program recognizes and exits.

--photo-renaming {on,off}
    Turn on or off the the renaming of photos while downloading, overwriting existing program preferences. If turned on, the renaming scheme used will incorporate the photo's metadata date, time, the number of downloads today, and the file extension in lower case: "YYYYMMDD-HHMM-<DownloadsToday>.<LowercaseExtension>", e.g. 20160512-1309-23.jpg.

--video-renaming {on,off}
    Turn on or off the the renaming of videos while downloading, overwriting existing program preferences. If turned on, the renaming scheme used will incorporate the video's metadata date, time, the number of downloads today, and the file extension in lower case: "YYYYMMDD-HHMM-<DownloadsToday>.<LowercaseExtension>", e.g. 20160512-1429-26.mp4.

-a {on,off}, --auto-detect {on,off}
    Turn on or off the automatic detection of devices from which to download, overwriting existing program preferences.

-t {on,off}, --this-computer {on,off}
    Turn on or off downloading from this computer (see description above), overwriting existing program preferences.

--this-computer-location PATH
    The PATH on this computer from which to download, overwriting existing program preferences.

--photo-destination PATH
    Sets the PATH where photos will be downloaded to, overwriting existing program preferences.

--video-destination PATH
    Sets the PATH where videos will be downloaded to, overwriting existing program preferences.

-b {on,off}, --backup {on,off}
    Turns on or off the backing up of photos and videos while downloading, overwriting existing program preferences.

--backup-auto-detect {on,off}
    Turns on or off the automatic detection of backup devices, overwriting existing program preferences.

--photo-backup-identifier FOLDER
    Sets the FOLDER in which backups are stored on the automatically detected photo backup device, with the folder's name being used to identify whether or not the device is used for backups. For each device you wish to use for backing up photos to, create a folder on it with this name. Overwrites existing program preferences.

--video-backup-identifier FOLDER
    Sets the FOLDER in which backups are stored on the automatically detected video backup device, with the folder's name being used to identify whether or not the device is used for backups. For each device you wish to use for backing up videos to, create a folder on it with this name. Overwrites existing program preferences.

--photo-backup-location PATH
    Sets the PATH where photos will be backed up when automatic detection of backup devices is turned off. Overwrites existing program preferences.

--video-backup-location PATH
    Sets the PATH where videos will be backed up when automatic detection of backup devices is turned off. Overwrites existing program preferences.

--ignore-other-photo-file-types
    Do not download photos with the following extensions: TIF, TIFF and MPO.

--auto-download-startup {on,off}
    Turns on or off starting downloads as soon as the program itself starts.

--auto-download-device-insertion {on,off}
    Turns on or off starting downloads as soon as a device is inserted.

--thumbnail-cache {on,off}
    Turns on or off use of the Rapid Photo Downloader Thumbnail Cache. Turning it off does not delete existing cache contents.

--delete-thumbnail-cache
    Deletes all thumbnails in the Rapid Photo Downloader Thumbnail Cache, and exits.

--forget-remembered-files
    Forgets which files have been previously downloaded, and exits.

--import-old-version-preferences
    Imports preferences from an old program version (0.4.11 or earlier), and exits. Requires the command line program gconftool-2.

--reset
    Resets all program settings to their default values, deletes all thumbnails in the Thumbnail cache, forgets which files have been previously downloaded, and exits.

--log-gphoto2
    Includes gphoto2 debugging information in log files, which can be useful when analyzing any problems libgphoto2 might have accessing a camera.

--camera-info
    Print information to the terminal about attached cameras and exit.

ENVIRONMENT
If the environment variable RPD_SCAN_DEBUG is set to any value, the program's scan operation will output volumous debug information to stdout.

SEE ALSO
analyze-pv-structure(1)

AUTHORS
Rapid Photo Downloader was written by Damon Lynch <damonlynch@gmail.com>.

This manual page was written by Damon Lynch.

COPYRIGHT
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3, or (at your option) any later version.

On Debian GNU/Linux systems, the complete text of the GNU General Public License can be found in `/usr/share/common-licenses/GPL'.